OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Types | Public Member Functions | Protected Types | Protected Member Functions | Friends | List of all members
OpenMesh::PropertyContainer Class Reference

A a container for properties. More...

`#include <OpenMesh/Core/Utils/PropertyContainer.hh>`

## Public Types

typedef std::vector < BaseProperty * > | Properties

## Public Member Functions

const Properties & | properties () const
size_t | size () const
| PropertyContainer (const PropertyContainer &_rhs)
PropertyContainer & | operator= (const PropertyContainer &_rhs)
template<class T >
BasePropHandleT< T > | add (const T &, const std::string &_name="<unknown>")
template<class T >
BasePropHandleT< T > | handle (const T &, const std::string &_name) const
BaseProperty * | property (const std::string &_name) const
template<class T >
PropertyT< T > & | property (BasePropHandleT< T > _h)
template<class T >
const PropertyT< T > & | property (BasePropHandleT< T > _h) const
template<class T >
void | remove (BasePropHandleT< T > _h)
void | clear ()
void | reserve (size_t _n) const
void | resize (size_t _n) const
void | swap (size_t _i0, size_t _i1) const

## Protected Types

typedef Properties::iterator | iterator
typedef Properties::const_iterator | const_iterator

## Protected Member Functions

size_t | _add (BaseProperty *_bp)
BaseProperty & | _property (size_t _idx)
const BaseProperty & | _property (size_t _idx) const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const

## Friends

class | BaseKernel

## Detailed Description

A a container for properties.

The documentation for this class was generated from the following file:

- OpenMesh/Core/Utils/PropertyContainer.hh